# Basic UI
A flutter package project which contains a collection of useful reusable widget

## Getting Started

Use BasicApp widget as root widget
```dart
import 'package:basic_ui/basic_ui.dart';
...
return const BasicApp(
    title: 'Yout App Title',
    home: HomePage(),
);
```

``` dart
import 'package:basic_ui/basic_ui.dart';
import 'package:flutter/material.dart';

class HomePage extends StatelessWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return const BasicScaffold(
      title: "Home Page",
      body: _PageBody(),
    );
  }
}

class _PageBody extends StatelessWidget {
  const _PageBody({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return BasicText(
      "Hello World!", 
      variant: BasicTextVariant.large,
    );
  }
}
```