import 'package:basic_ui/basic_ui.dart';
import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';

final themeProvider = ChangeNotifierProvider((ref) => ThemeProvider());

class ThemeProvider with ChangeNotifier {
  BasicTheme _theme = const BasicTheme();
  BasicTheme get theme => _theme;

  void changeTheme(BasicTheme? newTheme) {
    if (newTheme != null) {
      _theme = newTheme;
      notifyListeners();
    }
  }
}
