class BasicValidator {
  static String? isNullOrWhiteSpace(String? value, String message) {
    if (value == null || value.trim() == '') {
      return message;
    }

    return null;
  }

  static String? minLength(String? value, int minLength, String message) {
    if (value != null && value.length < minLength) {
      return message;
    }

    return null;
  }
}
